import 'package:cims_apps/application/assets/path_assets.dart';
import 'package:cims_apps/application/component/image/image_view.dart';
import 'package:cims_apps/application/component/select_form/select_form_view.dart';
import 'package:cims_apps/application/component/text_caption/text_caption.dart';
import 'package:cims_apps/application/component/text_form/text_form_view.dart';
import 'package:cims_apps/application/theme/color_palette.dart';
import 'package:cims_apps/core/route/route.dart';
import 'package:cims_apps/features/auth/registration/view/submission_data/data_bank/guide_screen.dart';
import 'package:flutter/material.dart';

class SubmitBankAccount extends StatelessWidget {
  const SubmitBankAccount({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    List<ItemSelectForm> listForm = [
      ItemSelectForm('key1', 'BCA'),
      ItemSelectForm('key2', 'BRI'),
      ItemSelectForm('key3', 'BNI'),
      ItemSelectForm('key4', 'BANK MANDIRI'),
      ItemSelectForm('key5', 'CIMB NIAGA'),
    ];
    return SingleChildScrollView(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          const TextCaption(title: 'Input your bank account data'),
          SelectFormView(
            name: 'Bank Name',
            listItem: listForm,
            onSelect: (value) {},
          ),
          TextFormView(
            name: 'Account Number',
            trailingTitleWidget: SizedBox(
              width: 24,
              child: GestureDetector(
                onTap: () {
                  routePush(context, page: GuideScreen());
                },
                child: const ImageView(image: PathAssets.iconQuestion),
              ),
            ),
          ),
          TextFormView(name: 'Account Owner Name'),
          const Text(
            "Make sure the account you use is in your name, not someone else's",
            style: TextStyle(
              color: ColorPalette.slate400,
            ),
          )
        ],
      ),
    );
  }
}
